@require './custom-blocks'

.vuepress-toc
  max-width: 400px !important

$codeLang ?= js ts html md vue css sass scss less stylus go java c sh yaml py docker dockerfile makefile rust

for lang in $codeLang
  div{'[class~="language-' + lang + '"]'}
    &:before
      content ('' + lang)

div[class~="language-javascript"]
  &:before
    content "js"

div[class~="language-typescript"]
  &:before
    content "ts"

div[class~="language-markup"]
  &:before
    content "html"

div[class~="language-markdown"]
  &:before
    content "md"

div[class~="language-json"]:before
  content "json"

div[class~="language-ruby"]:before
  content "rb"

div[class~="language-python"]:before
  content "py"

div[class~="language-bash"]:before
  content "sh"

div[class~="language-php"]:before
  content "php"

div[class~="language-rust"]:before
  content "rust"

@import '~prismjs/themes/prism-okaidia.css'
